summaryrefslogtreecommitdiffstats
path: root/filter-modules.sh
diff options
context:
space:
mode:
Diffstat (limited to 'filter-modules.sh')
-rwxr-xr-xfilter-modules.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/filter-modules.sh b/filter-modules.sh
index eb246e157..436dcc50a 100755
--- a/filter-modules.sh
+++ b/filter-modules.sh
@@ -13,6 +13,9 @@
# subsys should be in kernel-modules on all arches, please change the defaults
# listed here.
+# Overrides is individual modules which need to remain in kernel-core due to deps.
+overrides="cec"
+
# Set the default dirs/modules to filter out
driverdirs="atm auxdisplay bcma bluetooth firewire fmc fpga infiniband isdn leds media memstick mfd mmc mtd nfc ntb pcmcia platform power ssb soundwire staging tty uio uwb w1"
@@ -145,6 +148,20 @@ do
filter_ko $1 ${mod}
done
+# Now process the override list to bring those modules back into core
+for mod in ${overrides}
+do
+ grep -v -e "/${mod}.ko" k-d.list > k-d.list.tmp
+ if [ $? -ne 0 ]
+ then
+ echo "Couldn't save ${mod}.ko Skipping."
+ else
+ grep -e "/${mod}.ko" k-d.list >> $filelist
+ mv k-d.list.tmp k-d.list
+ fi
+
+done
+
# Go through our generated drivers list and remove the .ko files. We'll
# restore them later.
for mod in `cat k-d.list`